Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000206 [Piwigo] display major always 2005.11.15 19:21 2005.12.04 00:08
Reporter VDigital View Status public  
Assigned To chrisaga
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.5.1 Product Version 1.5.0RC3
  Target Version Product Build
Summary 0000206: Miniatures coupées
Description Description complète sur le forum.
Sous IE 6.0 uniquement les Thumbnails en PNG sont affichés à moitié.
Seuls les 50% supérieurs sont affichés.

Peut être un axe de solution en "Additional Information"
Le fix /* fix IE with another layout */ est totalement en commentaire.
Mais la question est "Quelles conséquences?"
Steps To Reproduce
Additional Information [...]


/* Thumbnail "elastic" layout */

#content UL.thumbnails {
  margin: 0;
  padding: 0;
  list-style: none;
  text-align: center; /* to center the whole collection in #content */
}
#content UL.thumbnails LI { display: inline }

#content UL.thumbnails SPAN {
  margin: 0 5px 5px 5px; /*width: 130px; 128px + 2 * 1px if the SPAN has a border of 1px */
   width: 180px; /* J'aime les galeries aérées */
  display: table-cell;
  display: inline-table;
  display: inline-block;
  vertical-align: top; /* OK with Opera and IE6 not Geko */
  text-align: center; /* to center the thumbnail and legend in Geko/Opera */
  font-size: 80%;
}
#content UL.thumbnails SPAN SPAN {
  margin: 0; /* important reset the margins */
  border: 0px solid #aaaaaa;
   width: 180px; /* fixed size again */
  display: table-cell; /* block prevents vertical-align here */
  vertical-align: middle; /* Ok with Opera and Geko not IE6 */
}
#content UL.thumbnails SPAN SPAN IMG {
  width: auto;
}

#content UL.thumbnails SPAN.wrap {
  border: none;
  height: auto; /* important for vertical centering */
  display: block; /* important */
  overflow: hidden; /* everridden by specific IE6 rule below */
  margin-top: auto; /* to make vertical-align work in Geko and Opera */
  margin-bottom: auto; /* to make vertical-align work in Geko and Opera */
}
#content UL.thumbnails IMG {
  margin-bottom: -4px; /* why ??? something wrong with Geko and Opera ignored by IE6*/
}
/* fix Geko's lack of good willing in vertical-align: top */
/* Too dirty : have to find something better */
/*#content UL.thumbnails>LI>SPAN{*/
/* height: 170px;*/ /* unfortunately min-height doesn't work here */
/*}*/

/* fix IE with another layout */ /*
  * html #content UL.thumbnails SPAN {
    overflow: hidden; /* keep it there: not needed by Geko, buggy with Opera */
/* }
  * html #content UL.thumbnails SPAN SPAN {
    position: relative;
  }
  * html #content UL.thumbnails SPAN.wrap {
    overflow: visible;
     position: absolute;
     top: 50%;
    left: 0px; /* same as "#content UL.thumbnails SPAN SPAN { padding:" if any*/
/* }
  * html #content UL.thumbnails IMG.thumbnail {
    position: relative;
    top: -50%;
  }
*/

[...]
Tags No tags attached.
browser IE
Database engine and version
PHP version Any
Web server Apache 1.3.x
Attached Files

- Relationships
related to 0000188closed Redimension à 128 pixels des miniatures 

-  Notes
(0000421)
chrisaga (developer)
2005.11.16 00:23

La correction de la transparence des PNG sous IE fait apparaitre un problème dans l'affichage des vignettes dans le "layout" spécifique utilisé pour IE.
Tu propose de changer ce layout. Pourquoi pas, il faut que je teste et vérifie tous les impacts.
De toutes façons, je ferai une correction pour ne traiter la transparence que dans les images utilisées pour des boutons et éviter que cela puisse se reproduire à l'occasion d'un changement futur.
(0000422)
kaouete (reporter)
2005.11.16 18:01

Attention ! Chez moi (ff et ie) ce bug apparait pour toutes les images.

Et dans les deux cas c'est un probleme avec les taille fixées des span des thumbnails.
note : modifier la width pour correspondre avec les thumbnails fait que la height, meme non modifiée (donc a 128px) est à la bonne taille à l'affichage, et cela, seulement pour FF (avec IE ca ne marche que pour le width)

Le truc c'est que je ne comprend pas pourquoi ces taillent devraient etre fixées.

Mon avis est qu'il faut faire une css qui ne fixe pas la taille des thumbnails. (par contre j'y connais rien la dedans sinon j'aurais deja cherché une solution :)

J'espere que ce que je dis correspond bien a ce bug, au moins il correspond avec le titre du bug
(0000423)
chrisaga (developer)
2005.11.16 18:19

kaouette :
ce que tu décris ressemble plutôt au bug 188 (qui n'esn est pas un)
http://bugs.phpwebgallery.net/view.php?id=188 [^]

Pour l'instant on ne peut pas se passer de fixer les tailles, je ne développe pas mais saches que si l'on pouvait, on le ferait.
(0000424)
kaouete (reporter)
2005.11.16 18:29

oui, je suis desolé, je n'ai vu ce bug qu'apres avoir posté ma note.
Je ne comprend pas trop mais j'attendrais qu'une solution soit trouvée comme tout le monde, j'ai vu que http://forum.phpwebgallery.net/viewtopic.php?id=4833 [^] en discutait largement :)
(0000436)
chrisaga (developer)
2005.11.17 20:18

Résolu dans la branche 1.5
Sera reporté dans BSF
(0000489)
chrisaga (developer)
2005.12.04 00:08

Reporté depuis longtemps en BSF.
Fermeture du bug oubliée

- Issue History
Date Modified Username Field Change
2005.11.15 19:21 VDigital New Issue
2005.11.15 19:21 VDigital browser => IE
2005.11.15 19:21 VDigital PHP version => Any
2005.11.15 19:21 VDigital Web server => Apache 1.3.x
2005.11.15 19:58 plg Relationship added related to 0000188
2005.11.16 00:23 chrisaga Note Added: 0000421
2005.11.16 00:23 chrisaga Assigned To => chrisaga
2005.11.16 00:23 chrisaga Status new => confirmed
2005.11.16 18:01 kaouete Note Added: 0000422
2005.11.16 18:19 chrisaga Note Added: 0000423
2005.11.16 18:29 kaouete Note Added: 0000424
2005.11.17 20:18 chrisaga Note Added: 0000436
2005.11.17 20:18 chrisaga Status confirmed => resolved
2005.11.17 20:18 chrisaga Resolution open => fixed
2005.11.17 20:18 chrisaga Fixed in Version => 1.5.1
2005.12.04 00:08 chrisaga Status resolved => closed
2005.12.04 00:08 chrisaga Note Added: 0000489


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker